
Ruby - Bug #804

Ruby 1.9.1 preview 2 : make test failure

12/02/2008 12:49 AM - philos (Philippe Lucas)

Status: Closed   

Priority: Normal   

Assignee: yugui (Yuki Sonoda)   

Target version: 2.0.0   

ruby -v:  Backport:  

Description

=begin

Version built on Fedora core 2 x686 with gcc 4.0.2 in a sub directory (UNIX) of the main ruby source with

./configure --prefix=/h/phil/DEV/RUBY/ruby-191pv2 --enable-shared --enable-install-doc --enable-pthread --with-mantype=man

./ruby -v  => ruby 1.9.1 (2008-12-01 revision 20438) [i686-linux]

Note that :

ruby -v  => ruby 1.8.7 (2008-05-31 patchlevel 0) [i686-linux]

In the announce message of this release, i read :

== Improvements

You can "make test" without installing ruby.

So make test gives this error :

test_flip.rb /h/phil/DEV/RUBY/ruby-1.9.1-preview2/UNIX/ruby: error while loading shared libraries: libruby.so.1.9: cannot open shared

object file: No such file or directory

which is not very suprising !.

Regards.

=end

Related issues:

Related to Ruby - Bug #849: --enable-shared で btest が動かない Closed 12/11/2008

History

#1 - 12/05/2008 09:14 PM - ko1 (Koichi Sasada)

- Assignee set to yugui (Yuki Sonoda)

=begin

=end

#2 - 12/12/2008 12:09 AM - yugui (Yuki Sonoda)

- Priority changed from Normal to 5

- Target version set to 1.9.1 Release Candidate

=begin

=end

#3 - 12/13/2008 03:05 PM - yugui (Yuki Sonoda)

- Category set to core

- Priority changed from 5 to 3

- Target version changed from 1.9.1 Release Candidate to 2.0.0

=begin

My announcement was wrong. You cannot "make test" before installing on --enable-shared.
This feature will possiblly be improved in a future version.

=end

#4 - 01/28/2009 07:16 PM - yugui (Yuki Sonoda)

- Status changed from Open to Closed

=begin

=end
